## org.eclipse.emf.ecore.xmi.impl
Class XMLSaveImpl.XMLTypeInfoImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl.XMLTypeInfoImpl

All Implemented Interfaces:
  XMLSave.XMLTypeInfo

Enclosing class:
  XMLSaveImpl

    protected class XMLSaveImpl.XMLTypeInfoImpl

extends java.lang.Object
implements XMLSave.XMLTypeInfo

Forces type information (xsi:type/xmi:type) to be serialized for references in cases where the object's type is different from the feature's type.

Constructor Summary
`protected` `XMLSaveImpl.XMLTypeInfoImpl()`

Method Summary
`boolean` `shouldSaveType(EClass objectType, EClass featureType, EStructuralFeature feature)` Determines whether type information should be saved for an object of the specified type in a feature of the specified type.
`boolean` `shouldSaveType(EClass objectType, EClassifier featureType, EStructuralFeature feature)` Determines whether type information should be saved for an object of the specified type in a feature of the specified type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSaveImpl.XMLTypeInfoImpl

    protected XMLSaveImpl.XMLTypeInfoImpl()

Method Detail

### shouldSaveType

    public boolean shouldSaveType(EClass objectType,
                                  EClassifier featureType,
                                  EStructuralFeature feature)

  Description copied from interface: `XMLSave.XMLTypeInfo`
  Determines whether type information should be saved for an object of the specified type in a feature of the specified type.

  Specified by:
    `shouldSaveType` in interface `XMLSave.XMLTypeInfo`
  Parameters:
    `objectType` - The object's type.
    `featureType` - The feature's type.
    `feature` - The feature in which the object is stored.
  Returns:
    `true` if the type should be saved; `false` otherwise.

### shouldSaveType

    public boolean shouldSaveType(EClass objectType,
                                  EClass featureType,
                                  EStructuralFeature feature)

  Description copied from interface: `XMLSave.XMLTypeInfo`
  Determines whether type information should be saved for an object of the specified type in a feature of the specified type.

  Specified by:
    `shouldSaveType` in interface `XMLSave.XMLTypeInfo`
  Parameters:
    `objectType` - The object's type.
    `featureType` - The feature's type.
    `feature` - The feature in which the object is stored.
  Returns:
    `true` if the type should be saved; `false` otherwise.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.